%define _name gtk+
%define binary_ver 2.2.0
%def_without static

Name: libgtk+2
Version: 2.2.1
Release: alt1

Summary: The GIMP ToolKit (GTK+), a library for creating GUIs for X
Summary(ru):    GUI  X (GIMP ToolKit - GTK+)
License: LGPL
Group: System/Libraries
Url: http://www.gtk.org

Icon: gtk+-logo.xpm
Source: %_name-%version.tar.bz2

%define glib_ver 2.2.1
%define pango_ver 1.2.1
%define atk_ver 1.2.2
%define xft_ver 2.0-alt5
%define fontconfig_ver 2.0-alt8

# We need to prereq these so we can run gtk-query-immodules-2.0 in post
PreReq: glib2 >= %glib_ver
PreReq: libpango >= %pango_ver
PreReq: libatk >= %atk_ver

Requires: common-licenses

# Fonts with Xft2 support require
Requires: urw-fonts >= 2.0-alt19 val-ttf >= 1.0-alt10

Provides: gtk2 = %version, gtk+2 = %version, libgtk2 = %version
Obsoletes: gtk2, gtk+-gtkbeta, gtk+2, libgtk2

BuildPrereq: glib2-devel >= %glib_ver
BuildPrereq: libpango-devel >= %pango_ver
BuildPrereq: libatk-devel >= %atk_ver
BuildPreReq: libXft-devel >= %xft_ver
BuildPreReq: fontconfig-devel >= %fontconfig_ver

# Automatically added by buildreq on Mon Feb 03 2003
BuildRequires: XFree86-devel XFree86-libs docbook-utils fontconfig-devel freetype2-devel glib2-devel glibc-devel-static gtk-doc indent libXft-devel libatk-devel libexpat libjpeg-devel libpango-devel libpng-devel libtiff-devel pkgconfig sgml-tools zlib-devel

%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating
graphical user interfaces for the X Window System.  GTK+ was originally
written for the GIMP (GNU Image Manipulation Program) image processing
program, but is now used by several other programs as well.

If you are planning on using the GIMP or another program that uses GTK+,
you'll need to have the gtk+ package installed.

This version of GTK+ need for Gnome-2.0

%package devel
Summary: Development tools for GTK+ (GIMP ToolKit) applications
Summary(ru):      GTK+
Group: Development/GNOME and GTK+
Icon: gtk+-devel-logo.xpm
Requires: %name = %version-%release, glib2-devel >= %glib_ver, pkgconfig
Requires: libatk-devel >= %atk_ver, libpango-devel >= %pango_ver
Provides: gtk2-devel = %version, gtk+2-devel = %version, libgtk2-devel = %version, libgtk+2-devel-static
Obsoletes: gtk2-devel, gtk+-gtkbeta-devel, gtk+2-devel, libgtk2-devel, libgtk+2-devel-static

%description devel
The libgtk+-devel package contains the  header files
needed for developing GTK+ (GIMP ToolKit) applications. The libgtk+-devel
package contains GDK (the General Drawing Kit, which simplifies the interface
for writing GTK+ widgets and using GTK+ widgets in applications), and GTK+
(the widget set).

%if_with static
%package devel-static
Summary: Static libraries for GTK+ (GIMP ToolKit) applications
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Provides: gtk2-devel-static = %version, gtk+2-devel-static = %version, libgtk2-devel-static = %version
Obsoletes: gtk2-devel, gtk+-gtkbeta-devel, gtk+2-devel, libgtk2-devel

%description devel-static
The libgtk+-devel-static package contains the static libraries needed
for developing GTK+ (GIMP ToolKit) applications. The
libgtk+-devel-staticpackage contains GDK (the General Drawing Kit, which
simplifies the interface for writing GTK+ widgets and using GTK+ widgets
in applications), and GTK+ (the widget set).
%endif

%prep
%setup -q -n %_name-%version

%build
%configure \
%if_with static
	--enable-static \
%endif
	--with-xinput=yes \
	--enable-fbmanager

# SMP-incompatible build
%make

%install
%makeinstall
%__install -d %buildroot{%_sysconfdir/gtk-2.0,%_libdir/gtk-2.0/%binary_ver/engines}

# system wide gtkrc
%__cat <<__RC__ > %buildroot%_sysconfdir/gtk-2.0/gtkrc
# This enables editing of menu accelerators by pressing
# an accelerator over the menu item.
gtk-can-change-accels = 1
__RC__

# The license
%__ln_s -f %_licensedir/LGPL-2 COPYING

%find_lang gtk20

%post
%post_ldconfig
%_bindir/gtk-query-immodules-2.0 > %_sysconfdir/gtk-2.0/gtk.immodules
%_bindir/gdk-pixbuf-query-loaders > %_sysconfdir/gtk-2.0/gdk-pixbuf.loaders

%postun -p %postun_ldconfig

%triggerpostun -- %name <= 2.0.6-alt0.7
[ $2 != 0 ] || exit 0
%_prefix/bin/gtk-query-immodules-2.0 > %_sysconfdir/gtk-2.0/gtk.immodules

%files -f gtk20.lang
%_bindir/gtk-query-immodules-2.0
%_bindir/gdk-pixbuf-query-loaders
#%_bindir/gxid
%_libdir/libgtk*.so.*
%_libdir/libgdk*.so.*
%dir %_libdir/gtk-2.0
%dir %_libdir/gtk-2.0/%binary_ver
%dir %_libdir/gtk-2.0/%binary_ver/*
%_libdir/gtk-2.0/%binary_ver/*/*.so
%_datadir/themes
%dir %_sysconfdir/gtk-2.0
%config(noreplace) %_sysconfdir/gtk-2.0/gtkrc
%ghost %_sysconfdir/gtk-2.0/gtk.immodules
%ghost %_sysconfdir/gtk-2.0/gdk-pixbuf.loaders
%doc --no-dereference COPYING
%doc AUTHORS ChangeLog NEWS README

%files devel
%_bindir/gdk-pixbuf-csource
%_bindir/gtk-demo
%_libdir/lib*.so
%_libdir/lib*.la
%_libdir/gtk-2.0/*/*/*.la
%_libdir/gtk-2.0/include
%_libdir/pkgconfig/*
%_includedir/*
%_datadir/gtk-2.0
%_datadir/aclocal/*
%_datadir/gtk-doc/html/*
%_man1dir/gdk-pixbuf-csource*

%if_with static
%files devel-static
%_libdir/*.a
%_libdir/gtk-2.0/*/*/*.a
%endif

%changelog
* Mon Feb 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Sat Dec 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Thu Dec 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt0.5
- 2.1.4

* Wed Dec 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt0.5
- 2.1.3

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt0.5
- 2.1.2

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt0.6
- 2.1.1
- build section fixed (SMP-incompatible build).
- Run gdk-pixbuf-query-loaders in %%post
- Editing of menu accelerators enabled by default.
- %_libdir/gtk-2.0/%%binary_ver/engines directory owned by %name.

* Wed Oct 02 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt0.5
- 2.1.0 with Xft2 support.
- some RH patches removed (in mainstream now)

* Tue Oct 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.6-alt0.8
- lib{pango,atk}-devel added to %name-devel requires list (#1233).
- Some RH patches.

* Sun Sep 15 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.6-alt0.7
- 2.06
- fixed-ltmain.sh removed, not needed more.
- changed --with-xinput=yes to --with-xinput=xfree.
- post/postun scripts improved.
- cleanups.

* Sun Jun 16 2002 Igor Androsov <blake@altlinux.ru> 2.0.5-alt1
- New version
- Added ru summary
- man moved to devel package
- Added gxid daemon to package

* Tue Jun 04 2002 Igor Androsov <blake@altlinux.ru> 2.0.3-alt2.1
- Moved *.la from static to devel package
- Fix changelog of <Wed May 29 2002>
- Removed libgtk+2-devel-static, in current time GTK+ disabled static build
- Fix BuildRequires list

* Wed May 29 2002 Igor Androsov <blake@altlinux.ru> 2.0.3-alt2
- Added from AEN package "fixed-ltmain.sh" - fix not building package if host wheare building not hace libgtk+2-devel.

* Wed May 29 2002 Igor Androsov <blake@altlinux.ru> 2.0.3-alt1
- New Release

* Wed May 22 2002 Igor Androsov <blake@altlinux.ru> 2.0.2-alt1
- New version
- Change SPEC, based on AEN spec
- No test program in rpm
- Buildrequires by buldreq

